Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.LME.ProblemType

class slepc4py.SLEPc.LME.ProblemType

  Bases: `object`

  LME problem type.

  - `LYAPUNOV`: Continuous-time Lyapunov.

  - `SYLVESTER`: Continuous-time Sylvester.

  - `GEN_LYAPUNOV`: Generalized Lyapunov.

  - `GEN_SYLVESTER`: Generalized Sylvester.

  - `DT_LYAPUNOV`: Discrete-time Lyapunov.

  - `STEIN`: Stein.

  Attributes Summary

  `DT_LYAPUNOV` | Constant `DT_LYAPUNOV` of type `int`
  `GEN_LYAPUNOV` | Constant `GEN_LYAPUNOV` of type `int`
  `GEN_SYLVESTER` | Constant `GEN_SYLVESTER` of type `int`
  `LYAPUNOV` | Constant `LYAPUNOV` of type `int`
  `STEIN` | Constant `STEIN` of type `int`
  `SYLVESTER` | Constant `SYLVESTER` of type `int`

  Attributes Documentation

  DT_LYAPUNOV: int = DT_LYAPUNOV

    Constant `DT_LYAPUNOV` of type `int`

  GEN_LYAPUNOV: int = GEN_LYAPUNOV

    Constant `GEN_LYAPUNOV` of type `int`

  GEN_SYLVESTER: int = GEN_SYLVESTER

    Constant `GEN_SYLVESTER` of type `int`

  LYAPUNOV: int = LYAPUNOV

    Constant `LYAPUNOV` of type `int`

  STEIN: int = STEIN

    Constant `STEIN` of type `int`

  SYLVESTER: int = SYLVESTER

    Constant `SYLVESTER` of type `int`